<script setup>
import { IndexPage } from '@/app/core/pages/crud';
import model from '@/modules/shop/models/shop';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import RouterLink from '@/app/components/vue/RouterLink.vue';
import Index from '@/app/components/crud/Index.vue';

import * as inputEnums from '@/app/enums/input';
import Input from '@/app/components/crud/particles/Input.vue';
</script>

<script>
export default {
    data() {
        return new IndexPage({
            context: this,
            title: this.__('Магазины'),
            model: model,
            http: {
                path: 'shop/shop',
                query: {
                    'with[0]': 'agent',
                    'with[1]': 'city.region',
                    'with[3]': 'last_report',
                },
            },
            actions: ['show', 'update', 'delete', 'restore'],
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <RouterLink to="shop/shop/create" class="btn btn-success">
            {{ __('Создать') }}
        </RouterLink>
    </PageTitle>

    <Index />
</template>
